#####################################################################
# the new mint style configuration for xaaes
# (it reuse the mint cnf parser :-))
#
# upper/lowercase don't matter for all keywords
# bool values can be expressed as 1/0, y/n, yes/no, true/false
#
######################################################################
#  include <file>
#
# Example: Include any external file into configuration
#
#include u:/c/video.cnf
#include c:\video.cnf
#include C:\video.cnf

######################################################################
# eiffel_support [true|false]
#
# if set F-keys > 10 cause eiffel-wheel-events
#
#eiffel_support = true

######################################################################
# back_col [0-15]
#
# set XaAES-background-colour
#
#back_col = 13

#####################################################################
# menubar [0|1|2]
#
# hideable menubar
# 0: off
# 1: on
# 2: always on (default)
#
#menubar=1

####################
# menu_layout[0|1]
#
# use short[1] or long[0] menu
#
#menu_layout=1

####################
# menu_ontop[0|1]
#
# menubar may be overwritten [0] or not[1]
#
#menu_ontop=1

#####################################################################
#
# leave_top_border
# define if windows are allowed to move over top of screen (crashes some VDI)
#leave_top_border = 1

#####################################################################
# logfile <filename> (default xa_boot.log in the xaaes-startup-directory)
#
# set the name of the logfile
# if empty ("") debug-output to file is disabled.
#
# examples:
#
#logfile = ""
#logfile = C:\xaaes.log
#logfile = my.log

#####################################################################
# save_windows  = <bool>          (default is 'no')
#
# save XaAES-windows-setting when exiting XaAES
# windows are saved in <XaAES-home>/xaaes.inf

#####################################################################
# loglvl <positive number> (default: 1 in snapshot, 0 in release)
#
# set verbosity of debug-output
# the higher the more gets printed.
# bit 1 (value 2) of loglvl causes all debug-output also to go to console.
# A value of 0 disables debug-output
#
# examples:
#
# debug-output to file
#loglvl = 1
# debug-output to console
#loglvl = 2
# debug-output to console and file
#loglvl = 3
# no debug-output
#loglvl = 0

#####################################################################
# focus <program>
#
# set first focus.
#
# The program given by <program> will be the first to receive input after startup
# and have the menu and top-window if any.
# The special name 'shell' sets the focus to the desktop given by the
# shell-directive.

#####################################################################
# allow_setexc (default:-1)
# restrict calls to Setexc by programs started after XaAES.
# -1: no change
# 0: deny all
# 1: deny trap-changes (numbers 0-15)
# 2: allow all

#####################################################################
# xa_bubble (default:0)
# if you want to use the XaAES-builtin bubble-help (since 1.1.21) set
# this. You can deactivate any external bubble-app if you use xa_bubble.
# 1: windows-tooltip-style
# 2: apple-ballon-help-style
#xa_bubble = 1

#####################################################################
# describe_widgets (default:0)
# if set not 0 display name/function of a widget when the mouse is
# placed (not moved) twice above a widget.
# 1: windows-tooltip-style (recommended)
# 2: apple-ballon-help-style
# describe_widgets = 1

#####################################################################
# Screen device selection
# -----------------------
#
# Selects the VDI device that that XaAES will boot into. If not set,
# device 1 will be used, i.e. the current/default video mode.
#
# Valid device numbers are:
# --------------------------------------------
#   - 2 = 320*200,  16 colour (ST-Low)
#   - 3 = 640*200,   4 colour (ST-Medium)
#   - 4 = 640*400,   2 colour (ST-High)
#   - 5 = Mode specified by modecode (Falcon)
#   - 6 = 640*480,  16 colour (TT Medium)
#   - 7 = Mode specified by modecode (Milan)
#   - 8 = 1280*960,  2 colour (TT High)
#   - 9 = 320*480, 256 colour (TT Low)
#
#   All other values are ignored!
#
# Note: screendev (and modecode) replaces the video parameter, which
#       in turn is now deprecated and subject for future removal.
#
# screendev = <device number>

#####################################################################
# Modecode specifier
# ------------------
#
# For the Falcon, <mode> is the same argument as used for the
# VsetMode() OS call.
#
# ---------------------------------------------------------
#   BIT     Name     Meaning
#
#   0-2     BPS      Number of bitplanes:
#                    - 000 = 2colour
#                    - 001 = 4colour
#                    - 010 = 16colour
#                    - 011 = 256colour
#                    - 100 = 16bits/pixel (True colour)
#
#   3       COL      Number of columns
#                    - 0 = 40
#                    - 1 = 80
#
#   4       VGA      Monitor select
#                    - 0 = TV mode
#                    - 1 = VGA mode
#
#   5       TVSEL    TV standard select
#                    - 0 = NTSC
#                    - 1 = PAL
#
#   6       OVERSCN  Overscan flag (not valid for VGA)
#                    - 0 = don't overscan
#                    - 1 = overscan
#
#   7       STMODES  ST Compatibility mode
#                    - 0 = Standard VGA video modes
#                    - 1 = ST Compatible Video modes
#
#   8       VERTFLAG Vertical mode
#                    - VGA: 0 = standard
#                           1 = line doubling (half res)
#                    - TV:  0 = standard
#                           1 = Interlace (double res!!!)
#
#   9-14    unused
#
#   15               Additive mode bit for non standard resolutions
#                    If set, use the default screen resolution as
#                    preset by CentScreen.
#
# For example:
#
# modecode = 26      will select 640*480*16colour VGA mode.
# modecode = 0x801a  will select 16 colour VGA mode in
#                    the resolution preset by centscreen.
#
# Note: screendev (and modecode) replaces the video parameter, which
#       in turn is now deprecated and subject for future removal.
#
#modecode = <mode>

#####################################################################
# Video mode select
# -----------------
#
# This parameter is now deprecated and subject for future removal.
# Please update your xaaes.cnf accordingly.
#
# For more information, see screendev and modecode (above).
#
#video = <mode>

####################################################
# gradients = <name|[0|1]>    (default = 0)
#
# setting gradients to a nonzero value or a name turns on use of
# color gradients in the window widget and aes object
# renderer in hc/tc color modes.
#
# gradient-files are <xaaes-home-dir>/gradient/<name>.grd

#default gradients
#gradients = 1
#gradients = default

#special gradients
#gradients = g_red
#gradients = g_green
#gradients = g_blue
#gradients = g_yellow
#gradients = g_cyan
#gradients = g_purple

#special gradients (sinfo-title and window-title exchanged)
#gradients = n_default

#gradients = n_red
#gradients = n_green
#gradients = n_blue
#gradients = n_yellow
#gradients = n_cyan
#gradients = n_purple

#####################################################################
# textures = <name|[0|1]>    (default = 0)
#
# setting textures to a nonzero value or a name (default: img) turns on use of
# textures in the window widget and aes object
# renderer in color modes.
#
# texture-folders are <xaaes-home-dir>/<name>/
#textures = img

#####################################################################
# textures_cache = <bool>       (default is 'no')
#
# Cache textures for current bit depth in <aes_home>/cache. If you update
# the texture files or change the palette, delete the cache folder, too.
#
#textures_cache = yes

#####################################################################
#palette = <name>
#
#load palette from file <xaaes-home-dir>/pal/<name>.pal
#
#palette = gem

#####################################################################
# setenv name val ..... set up environment
#
#setenv NAME value
#
# The following are environment variables you are strongly adviced
# to set as soon as possible to ensure smooth operation of the
# system;
setenv ACCPATH		C:\
setenv ACCEXT		ACC,ACX
setenv GEMEXT		PRG,APP,GTP,OVL,SYS
setenv TOSEXT		TOS,TTP
setenv TOSRUN		u:\c\mint\1-19-ec3\sys-root\opt\GEM\toswin2\tw-call.app
#setenv GEMJINGPATH	u:\d\sound\gemjing\gemjing.prg
setenv SDL_VIDEODRIVER	gem

#####################################################################
# naes_cookie = <bool>          (default is 'no')
#
# Some applications need to think they are running under N.AES, and
# don't use appl_getinfo() to check for function availability. This
# is terrible programming, and to all programmers feeling targeted;
# Fix your apps! XaAES can now provide a fake nAES cookie, so that
# more applicaitons will run correctly on XaAES, but there is also
# another terrible danger; Some N.AES calls return pointers to
# internal AES structures, which is kinda putting your testicles
# into the hand of a stranger and hope he is a friend. Such apps will
# definately crash when run on XaAES while thinking its on N.AES.
# Older versions of Taskbar work much better with naes_cookie = yes.
#
# See more info about this in newcalls.txt, it is possible to detect
# that the cookie is a fake one (and thus really the AES is XaAES).
#
naes_cookie = yes

#####################################################################
# use $HOME in shell_find
#
usehome = yes

#####################################################################
# dc_time = <time in timer ticks>        (default is 50 = 250ms)
# where a tick is 5ms
#
# double click time
#
#dc_time = 35

#####################################################################
# mp_timegap = <time in timer ticks>     (default is 3 = 15ms)
# where a tick is 5ms
#
# Mouse packet time-gap. This is the time (in 200hz timer ticks) that
# must pass after a button-release event before a new button-press
# event is accepted by moose.adi. Because of unstable mouse-buttons,
# a button-press may follow immediately after a button-release, creating
# an "extra" mouse-click. This is especially annoying when releasing
# the right-button after a drag-session (Thing's directory-window, for
# example), and the "extra-click" fires some unwanted action.
#
#mp_timegap = 5

#####################################################################
# lrmb_swap = <bool>            (default is 'no')
#
# Swap left and right mouse buttons. Setting 'lrmb_swap = yes' will make
# XaAES swap the left and right mouse buttons.
#
#lrmb_swap = yes

#####################################################################
# Mouse wheel configuration.
#
# There are currently four configuration variables that is used to to set
# wheel configuration;
#
# vertical_wheel_id = <value>      (default is 0)
# vertical_wheel_amount = <value>  (default is 1)
# horizontal_wheel_id = <value>    (default is 1)
# horizontal_wheel_amount <value>  (default is 1)
#
# With 'vertical_wheel_id' you can choose which wheel you want to use as the
# vertical wheel. Likewise, you set the ID of the wheel you want to define as
# the horizontal wheel. Do NOT set the same value for both vertical and
# horizontal wheel ID's.
#
# With vertical_wheel_amount you can set the amount of lines to scroll per
# turn of the vertical wheel. Likewise, you can set the amount of columns to
# to scroll per turn of the horizontal wheel using 'horizontal_wheel_amount'.
# The value for these configuration variables must be a number between
# 1 and 20. Per now, this actually sets the number of WM_ARROWED messages
# send to the application per turn of the wheel.
#
vertical_wheel_id = 0
vertical_wheel_amount = 3
horizontal_wheel_id = 1
horizontal_wheel_amount = 3

#####################################################################
# redraw_timeout <time in ms>   (default is 500)
#
# redraw_timeout. This is the time in ms XaAES will wait for clients to
# service WM_REDRAW messages between actions that generate redraws,
# like moving/closing/opening/etc. windows. If a client is busy and this
# 'times out' happens, it is marked as lagging and XaAES will service the
# redraws for it. When this happens, XaAES just draws the areas not
# serviced with dark gray color until the client re-enters evnt_multi().
# For slow machines, this timeout must be higher (longer) than on faster
# machines.
#
redraw_timeout = 2000

#####################################################################
# menu = <string>               (default is 'leave')
#
# <string> can be 'pull', 'push' or 'leave'
#
#menu = push

#####################################################################
# popscroll = <value>           (default is 0)
#
# Set number of lines of a popup above which it will be made scrollable
#
#popscroll = 16

#####################################################################
# menupop_pids = <bool>         (default = 'no')
#
# Setting menupop_pids = yes makes XaAES list its clients in the client-list-
# menupopup using the following format;
#
# "  PPID(RPPID) -> PID Client nice name"
#
# where 'PPID' is the physical parent-pid of the Client (which is the AESSYS).
# 'RPPID' is the Process ID of the process that called shel_write() to start
# it, it is the "Real Parent PID". 'PID' is the Process ID of the client.
#
# If set to 'no' (the default), only the client's nice name (when available,
# else its 'proc_name') is listed.
#
#menupop_pids = yes

#####################################################################
# popup_timeout - Time in milliseconds before popups opens.  (default = 10)
# popout_timeout - Time in millisecods before popups close.  (default = 1000)
#
# With these two configuration variables you can configure menu/popup
# navigation to your liking. 'popup_timeout' sets the time in ms XaAES's
# menu/popup navigation waits before brining up the attachment for a given
# entry when mouse hovers over. 'popout_timeout' sets the time in ms before
# an entry's attachement is closed when mouse leaves, unless mouse enters
# another entry with an attachement in which case that new attachment is
# opened according to 'popup_timeout".
#
# In normal AES menu/popup navigation it is possible to click, and select,
# a menu or pop entry that has an attachment. However, to be able to implement
# decent navigation, XaAES behaves slightly different from other AES's now;
#
# Single click entry without attachment - select it, like normal AES
# single click entry with attachment    - open it immediately,
#                                         like on most other GUIs
# Double click entry with attachment    - select it, like single-click on
#                                         normal AES
#
#
#popup_timeout = 50
#popout_timeout = 1000

#####################################################################
# alert_windows = <value>       (default is 0xffff)
#
# THE IMPLEMENTATION IS NOT DEFINATE AND ONLY PARTIAL AS OF NOW!!!
#
# alert_window is a bitmask indicating which alerts coming via the
# alert pipe will be shown in a window. The idea is that this mask
# is used to tell the AES which alerts you want like this;
#  bit 0 set -> show alerts with no icon
#  bit 1 set -> show alerts with INFO icon
#  bit 2 set -> show alerts with QUESTION icon
#  bit 3 set -> show alerts with STOP icon
#  etc., etc.
#
# Because there is no consideration as to which icon is used
# (for example, kernel's PROCESS KILLED alerts have icon #1, the same
# as used for other warnings/informative ALERTS), the implemention
# is not complete. So for now use this to either turn off or on alerts
# altogether. To turn on alert windows, use a mask where all bits are set,
# 0xffff, and to turn off clear all bits, 0x0000
#
#alert_windows = 0x0000

#####################################################################
# icnfy_orient = <value>        (default is 3)
#
# This controls how XaAES arranges iconified windows. Currently the
# following orientations are available;
#
# 0 - Iconified windows are stacked top -> bottom starting at the
#     top/left of the screen. When one column is full, the next
#     column is being used.
# 1 - Iconified windows are stacked top -> bottom starting at the
#     top/right of the screen. When a column is full, windows are
#     stacked in the column to the left of the filled one.
# 2 - Iconified windows are placed in rows going left -> right starting
#     at the top/left of the screen. When a row is full, the row below
#     the current one is used.
# 3 - Iconified windows are placed in rows going left -> right starting
#     at the bottom/left of the screen. When a row is full, the row above
#     the current one is used.
#
# If you bit 8 in icnfy_orient value is set, then the starting position
# will be reversed. This means that for orientation 0, the windows will
# be stacked bottom -> top starting at the bottom-most position instead.
# Using a hexadecimal value is easy for better readability;
#
#icnfy_orient = 0x003   # Start at left/bottom of the screen and go towards
                        # the right/bottom.
#icnfy_orient = 0x103   # Start at right/bottom corner and go towards
                        # windows towards the left/bottm corner.

#####################################################################
# icnfy_width  = <value>        (default is 72)
# icnfy_height = <value>        (default is 72)
#
# These sets the width and height of iconified windows.
#icnfy_width = 80
#icnfy_height = 80

#####################################################################
# icnfy_left = <value>           (default is 0)
# icnfy_right = <value>           (default is 0)
# icnfy_top = <value>           (default is 0)
# icnfy_bottom = <value>           (default is 0)
#
# These variables dictates how far from left, right, top and bottom edges
# of the screen the iconfied windows should be placed. This means that
# if icnfy_left is set to 4, iconified windows are always placed minimum 4
# pixels off the left edge of the screen. If you want to protect the area
# of the taskbar, for example, you can use icnfy_bottom = 16, for example,
# as that makes sure iconified windows never get closer to the bottom of the
# screen than 16 pixels.
#
#icnfy_left = 0
#icnfy_right = 0
#icnfy_top = 0
#icnfy_bottom = 16

#####################################################################
# icnfy_reorder_to = <time in ms>  (default is 0)
#
# Setting this to a nonzero value will make XaAES rearragne the currently
# iconified windows when an iconified window is uniconified or hidden.
# This will also, later on, reorder iconified windows when an application
# that quits had iconified windows.
#
#icnfy_reorder_to = 100

#####################################################################
# next_active = <string>        (default is 'window')
#
# <string> can be 'client' or 'window'.
#
# Selects wether the previous active application or
# the owner of the previous topped (or only) window
# should be set active upon client termination.
#
#next_active = client

#####################################################################
# app_options = appname,argument1,argument2,...
#
# This will let you configure application specific things.
# There are two special appname's you can use, one is 'default'
# and the other is 'aessys'. 'default' is used to set GLOBAL
# configuration which affects all applications. A 'default'
# configuration have to be specified first.
# With appname being 'aessys', you can specify configuration
# for the aessys's windows, like taskmanager, etc.
# All other appname's are considered to be individual applications,
# and settings for 'autos401' will only affect that one application
# whose filename is autos401.[prg,app,gtp] or whose nicename is
# autos401. "autos401" is Autosort v4.1, btw.
#
# Here's an overview of the currently available app_option
# arguments, default settings are active until changed by you.
#
# A <bool> value can be 'true','false','on','off','yes','no',
# '1' and '02
#
# A <value> must be a decimal value (for now).
#--------------------------------------------------------------------
# windowner = <bool>      default: false
#
#     Will make XaAES show the name of the application
#     owning the window in the window's title.
#--------------------------------------------------------------------
# nohide = <bool>         default: false
#
#     Windows will not have the HIDE widget, and thus cannot be
#     hidden.
#--------------------------------------------------------------------
# xa_nohide = <bool>      default: true
#
#     Windows containing form_do() sessions will not have
#     the HIDE widget and thus not be hidable.
#     Autosort is one application that cannot have its
#     form_do() session hidden (or moved)
#--------------------------------------------------------------------
# xa_nomove = <bool>      default: true
#
#     Windows containing a form_do() session will not be
#     moveable. Autosort is one such application.
#--------------------------------------------------------------------
# noleft = <bool>         default: false
#
#     Windows can not be moved offscreen to the left.
#--------------------------------------------------------------------
# thinwork = <bool>       default: false
#
#     The "inner" 3d-effect is disabled. This 3d-effect 'frames'
#     the work-area of windows in a 3d-ish frame.
#--------------------------------------------------------------------
# nolive = <bool>         default: false
#
#     Disable live window move/resize/etc.
#--------------------------------------------------------------------
# winframe_size = <value>  default: 1
#
#     Set the size of window frame. A value of -1 sets
#     "overscan windows", which contains no frame or shadowing.
#     It is not recommended to set a value of -1 yet!.
#     A value of 0 will make windows without any borders.
#     positive values make window-frames larger.
#--------------------------------------------------------------------
# naesff = <bool>         default: false
#
#     N.AES Full Fix;
#     When naesff is set true, XaAES will send full WM_REDRAW
#     message when all four window coordinates change, which
#     happens when windows are FULLEd. This will fix redraw
#     problems with apps like Jinnee.
#--------------------------------------------------------------------
# inhibit_hide = <bool>   default: false
#
#     Setting this will prevent it from being hidden by XaAES, which
#     is very handy for applications like Taskbar, etc, that one
#     regards like "system apps".
#--------------------------------------------------------------------
# clwtna = <value>         default: 1
# (Close Last Window Tops Next App)
#
#     Selects what to do when the last window of a client on top is closed.
#     This argument takes a value, 0, 1 or 2, which have the following
#     meaning;
#
#     0 - This keep the client whose last window is closed from being
#         untopped. This prevents XaAES from topping another
#         application when the last window it owns is closed.
#     1 - This will top the owner of the window below the closed
#         window. That is, the owner of the window previously ontop
#         will be topped. This is the normal behaviour found on
#         other AESs.
#     2 - This will top the previously topped client, regardless
#         of windows. Even when the previously active client dont
#         have any windows, it will get topped.
#
#--------------------------------------------------------------------
# icn_pal_name = <string>
# (set mapping-palette for icons)
#
# Icon-colours for the app will be mapped according to the specified palette.
# The global command palette has to be set.
# To remap widgets set icn_pal_name for aessys.
# This only has an effect if icn_pal_name and pal differ.
# The palette specified by icn_pal_name has to be in the pal-dir.
# Currently only 8bit-icons are supported.
#
# The palette given in the rsc-file precedes the palette set by icn_pal.
# remap_cicons must be  true.
#
# example:
# Set app-icon-palette for all apps
# app_options = default, ..., icn_pal_name = nvdi
#
# Set app-icon-palette for a specific app
# app_options = some-app, ..., icn_pal_name = gem
#
# Set widgets-palette
# app_options = aessys, ..., icn_pal_name = nvdi

#--------------------------------------------------------------------
#	alt_shortcuts = <value>
# (Add shortcuts to dialog/alert)
#
#     0: no shortcuts
#     1: shortcuts for alerts
#     2: shortcuts for dialog
#     3: 1+2
#
#     default: 3
#
#  example:
#  app_options = diskus, alt_shortcuts = 0
#
#  For teradesk >= 4 you need: app_options = DESKTOP, alt_shortcuts = 1
#--------------------------------------------------------------------
#  rsc_lang = <value>  default: 0
#
# If set XaAES creates or uses a translation file (.rsl) for
# this application.
#
# 0 = No translation
# 1 = Read an existing translation file (or create, if not present)
# 2 = Always create a translation file (overwrite existing one)
#--------------------------------------------------------------------
#  ignore_rsc_size = <bool>   default: false
#
# If true difference between resource-filesize and size given
# in rsc-header is no error.
#
#######################################################################
#
# This default setting will make XaAES look closer to n.aes, but
# will require precision when grabbing the window border for
# resizing :)
#
#app_options = default, thinwork = true, winframe_size = 1
#
# This default setting will make XaAES look like it has been
# looking up to now;
#
#app_options = default, thinwork = false, winframe_size = 2
#
# This setting for autosort401 will make sure its window cannot be
# moved.
#
#app_options = autos401, xa_nomove = true
#
# Ataricq looks much better when the "inner" 3d effect is turned off
# with 'thinwork" and as small a windowframe as possible.
#
#app_options = ataricq, thinwork = true, winframe_size = 1
#
# Taskbar needs this to prevent it from being hidden, and it closing
# its only window should always top the previously topped app.
#
#app_options = taskbar, inhibit_hide = yes, clwtna = yes
#
#simple
#app_options = default,xa_nomove = false
#real
app_options = default,thinwork = true, winframe_size = 2, xa_nomove = false, nolive = true
app_options = xasys, thinwork = true, winframe_size = 3, xa_nomove = false, nolive = false
app_options = aessys, thinwork = true, winframe_size = 3, xa_nomove = false, nolive = false, rsc_lang  = 1, icn_pal_name = nvdi
#
# TosWin2 requires a few specific settings.
# If you frequently run many textmode programs from the desktop,
# you may be interested by the second line below. That will reactivate
# the desktop as soon as textmode programs exits, instead of staying
# on the TosWin2 menu bar.
app_options = toswin2, nohide = true, noleft = true
#app_options = toswin2, nohide = true, noleft = true, clwtna = 1
#
# Other application specific settings
#
#app_options = pc_help, alt_shortcuts = 0
app_options = diskus, alt_shortcuts = 0
app_options = DESKTOP, alt_shortcuts = 1
#app_options = jaygrpii, alt_shortcuts = 0
#app_options = autos401,xa_nomove = true
#app_options = ataricq,thinwork = true, winframe_size = 0
#app_options = jinnee, naesff = true
#app_options = nwatch, thinwork = true, winframe_size = 0
#app_options = popwatch, thinwork = true, winframe_size = 0
#app_options = taskbar, inhibit_hide = yes, clwtna = true
#app_options = amail, naesff = true
#app_options = mymail, thinwork = true, winframe_size = 0
#app_options = highwire, winframe_size = 0

#####################################################################
# ctlalta_survivors = <list of app-names>
#
# 'app-names' is the filename part of the program file, padded with
# spaces to fit 8 characters. This is NOT the 'nice' name. So, if your
# Toswin2 binary is named "tw2.app", you use "tw2     ". Each app-name
# is separated with comma.
#
# This will allow you to specify which applications XaAES does not
# attempt to terminate when user presses CTRL-ALT-A to quit all
# applications. Normally, this keycombo quits all running applications
# leaving only XaAES. However, most of the time, keeping certain
# applications running is preferred, such as the desktop, the taskbar,
# av-server application, etc, etc.
#
# One special name is '_aes_shell_', which will prevent XaAES from
# terminating the desktop loaded via "shell = " configuration variable.
# One can still use the name of the desktop program if it is konwn, but
# an easier way is to use '_aes_shell_', as that will work without
# further configuration modifications when one changes desktop from, say,
# Thing to Jinnee.
#
# If you want to bypass this setting, and quit ALL applications, leaving
# only XaAES, you can press ctrl-alt-shift-a.
#
# The following will keep the desktop, taskbar and toswin2 running after
# a ctrl-alt-a action;
#
#ctlalta_survivors = "_aes_shell_", "taskbar ", "toswin2 "
#
#ctlalta_survivors = "toswin2 ", "strngsrv", "_aes_shell_", "taskbar "

#####################################################################
# kill_wo_question = <list of app-names>
#
# 'app-names' is the filename part of the program file, padded with
# spaces to fit 8 characters. This is NOT the 'nice' name. So, if your
# Toswin2 binary is named "tw2.app", you use "tw2     ". Each app-name
# is separated with comma.
#
# This will allow you to specify applications which should be killed without
# question during shutdown. It is necessary because many apps dont react to
# the AP_TERM message, leaving the AES waiting for a maximum amount of time
# each time the user wants to quit or change resolution. Very annoying for
# the user, to say the least! Applications found in this list will be
# brutally killed immediately, so make sure you dont add clean apps to this
# list!
# Application authors: Make sure your apps dont end up on this list! :)
#
#kill_wo_question = "procalc", "mintsett"
#
kill_wo_question = "ST-Guide"

#####################################################################
# clipboard = <path>   # path to clipboard
# accpath   = <path>   # path from which accs are loaded
# launchpath = <path>   # initial path for launcher
#
clipboard = c:\clipbrd\
accpath   = c:\
launchpath  = u:\usr\gem

#####################################################################
# define external snapshot-program to be executed if xaaesnap is not loaded
#
#snapshot=u:/usr/local/bin/snapshot

#####################################################################
# widgets  = <file>
# resource = <file>
#
#resource = xa_mono.rsc
#widgets = widgets/homwdg.rsc
#widgets = widgets/styl_wdg.rsc
#widgets = widgets/nine-ozk.rsc
#widtets = widgets/baroqwdg.rsc
#widgets = widgets/ronb_wdg.rsc
#widgets = widgets/magicwdg.rsc

#####################################################################
# Set resource palette
# --------------------
#
# set_rsc_palette <bool> (default is false)
# Use the palette defined in the resource as the screen palette.
#
#set_rsc_palette = true

#####################################################################
# Language selection
# ------------------
#
# lang = <two character language-code> (default from $LANG or AKP-cookie)
#
# Set your preferred language for XaAES here.
# currently supported two-character language-codes are:
#  en, de, fr, es, it, hu, ru, cs.
#
# No resource-translation is performed for en (see app_options/rsc_lang).
# Comment the following line to get your computer's native language
# or set one of the above codes.
lang = en

#####################################################################
# Switch keyboard tables
# ----------------------
#
# keyboards = <key>, <layout1>, <layout2>, ...
#
# <key>:     ALT-CTRL shortcut key for switching between keyboard-
#            tables (layouts). NOTE: The character you use should be
#            present and equal in ALL layouts.
# <layout*>: Names of keyboard.tbl files (without .tbl extension).
#            Please copy the needed files from /keyboard/ to
#            /mint/1-*-*/ folder.
#
#keyboards = <, british, german, french

#####################################################################
# Remap cicons
#
# Icon-colours for the app will be mapped according to the rsc-palette
# (if given in the rsc-file or defined by icn_pal_name).
#
#remap_cicons = yes

#####################################################################
# widget_auto_highlight = <bool> (default is 'no')
#
# When widget_auto_highlight is set true, standard window widget are
# automatically highlighted when mouse hovers over them. This is still
# very experimental, and widgets are not actually highlighted, they
# are just animated - that is redrawn in SELECTED status.
#
#widget_auto_highlight = yes

#####################################################################
# helpserver (like N.AES config, first is the default)
#
#helpserver = HYP,ST-GUIDE,d:\help\st-guide.prg
#helpserver = HTM,CAB,e:\www\cab.app
helpserver = HYP,HYP_View,c:\system\hyp_view\hyp_view.app
helpserver = HTM,HighWire,d:\internet\www\highwire\highwire.app

#####################################################################
# cancel = string,string
#
cancel = cancel,abbruch,annuler,anular,annulla,m‚gsem,îòìåíà,Zru¹it,avbryt,anuluj,afbryd,undo

#####################################################################
# filters = mask, mask, ...
#
filters = *.*, *.[atpg]*, *.[chs]*, *.l*, *.o*

#####################################################################
# font_id        - Standard GDOS fontid for windows & stuff
# standard_point - Size of the 'standard' AES font (for window titles, etc)
# medium_point   - The same, but for low resolution screens
# small_point    - Size of the 'small' AES font
# infoline_point - Fontsize for window infoline
# xaw_point      - Fontsize for XaAES windows
#
# defaults:
#
#font_id=1
#standard_point=10
#medium_point=9
#small_point=8
#infoline_point=10
#xaw_point=10

#####################################################################
# start any other programs with run
#
#run <path>\<application>
#run u:\opt\taskbar\taskbar.prg
#run u:\c\system\strngsrv\strngsrv.prg

run u:\c\mint\1-19-ec3\sys-root\opt\GEM\toswin2\toswin2.app

#####################################################################
# system shell
#
#
#---------- Thing -----------
#
#setenv THINGDIR   u:\c\thing\thing
#setenv AVSERVER	  "THING   "
#setenv FONTSELECT "THING   "
#shell = c:\thing\thing\thing.app
#
#---------- Thing 1.27 -----------
#
#setenv THINGDIR   u:\c\thing127.e\thing
#setenv AVSERVER	  "THING   "
#setenv FONTSELECT "THING   "
#shell = c:\thing127.e\thing\thing.app
#
#---------- Jinnee ----------
#
#setenv AVSERVER   "JINNEE  "
#setenv FONTSELECT "JINNEE  "
#
#shell = c:\jinnee\jinnee.app
#
#--------- Teradesk ---------
#
setenv AVSERVER   "DESKTOP "
setenv FONTSELECT "DESKTOP "
#
shell = u:\c\mint\1-19-ec3\sys-root\opt\GEM\teradesk\desk_cf.prg
